# AUTOGENERATED! DO NOT EDIT! File to edit: 00_00_venn_diagram.ipynb (unless otherwise specified).

__all__ = ['venn_diagram']

# Cell

from ...formats import list_to_r_vector
import os

# Cell


def venn_diagram(lists,tags,filename, main='Venn Diagram' ,sub='',print_mode=['raw', 'percent'],rscript='/usr/bin/env Rscript'):
    '''

    '''
    if len(lists) != len(tags):
        raise ValueError('lists\' length must equal to tags\' length')

    data = ',\n    '.join(j+'='+list_to_r_vector(i) for i,j in zip(lists,tags))
    _,imagetype=os.path.splitext(filename)
    imagetype = imagetype.replace('.','')
    print_mode = list_to_r_vector(print_mode)
    n= len(lists)
    return r'''#! {rscript}


library(VennDiagram)

venn.plot <- venn.diagram(
  list(
    {data}
  ),
  filename = '{filename}',
  resolution = 1200,
  imagetype='{imagetype}',
  lty = 1,
  lwd = 2,
  print.mode={print_mode},
  col = "black",
  fill =rainbow({n}),
  alpha = 0.60,
  cat.col = rainbow({n}),
  cat.cex = 0.8,
  cat.fontface = "bold",
  margin = 0.07,
  cex = 0.8,
  area.vector=FALSE
)

    '''.format(**locals())

